Create Brand
curl --request POST \
--url https://ss.game-services.work/platform/api/brands \
--header 'Authorization: Bearer <token>'import requests
url = "https://ss.game-services.work/platform/api/brands"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ss.game-services.work/platform/api/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
POST /platform/api/brands
Content-Type: application/json
Authorization: Bearer your_token_here
{
"name": "New Brand",
"maxWin": 1000000,
"payout": 96,
"apiKey": "rgs_key_example",
"betTemplateUuid": "bt-001",
"jackpotGroupUuid": "jp-001",
"server": "https://wallet.example.com",
"authHeader": "Bearer wallet_token_example"
}
{
"brand": {
"uuid": "b12c4e5f-7890",
"name": "New Brand",
"maxWin": "1000000",
"payout": "96",
"betTemplateUuid": "bt-001",
"jackpotGroup": {
"uuid": "jp-001",
"name": "Europe Jackpot",
"currency": "EUR"
},
"apiKey": "rgs_key_example",
"server": "https://wallet.example.com",
"header": "wallet_token_example",
"accessToken": "access_token_example"
}
}
RGS API
Create Brand
Create a new brand configuration.
Create Brand
POST /platform/api/brands
- List of the betTemplateUuid’s are available in the overview page.
- How to get available jackpotGroupUuid’s can be found in the Get Jackpot Groups page.
Headers
| Name | Type | Description |
|---|---|---|
| Authorization | string | Bearer token authorization header (format: Bearer your_token_here) |
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| name | string | Yes | Brand name |
| maxWin | number | No | Maximum win limit for brand players |
| payout | number | No | Brand payout percentage |
| apiKey | string | Yes | Public RGS API access key |
| betTemplateUuid | string | Yes | Bet template identifier |
| jackpotGroupUuid | string | Yes | Jackpot group identifier |
| server | string | Yes | Wallet server URL |
| authHeader | string | Yes | Authentication token for wallet requests |
Response Parameters
| Name | Type | Description |
|---|---|---|
| brand | object | Created brand object |
POST /platform/api/brands
Content-Type: application/json
Authorization: Bearer your_token_here
{
"name": "New Brand",
"maxWin": 1000000,
"payout": 96,
"apiKey": "rgs_key_example",
"betTemplateUuid": "bt-001",
"jackpotGroupUuid": "jp-001",
"server": "https://wallet.example.com",
"authHeader": "Bearer wallet_token_example"
}
{
"brand": {
"uuid": "b12c4e5f-7890",
"name": "New Brand",
"maxWin": "1000000",
"payout": "96",
"betTemplateUuid": "bt-001",
"jackpotGroup": {
"uuid": "jp-001",
"name": "Europe Jackpot",
"currency": "EUR"
},
"apiKey": "rgs_key_example",
"server": "https://wallet.example.com",
"header": "wallet_token_example",
"accessToken": "access_token_example"
}
}
Error
If an error occurs while processing a request, the API will return a response with
HTTP Status Code: 400 Bad Request| Name | Type | Description |
|---|---|---|
| message | string | Error code describing the specific issue. |
GET /platform/api/brands
Content-Type: application/json
{
"name": "name",
"maxWin": "1000000",
"payout": "96",
"apiKey": "apiKey",
"betTemplateUuid": "betTemplateUuid",
"jackpotGroupUuid": "jackpotGroupUuid",
"server": "walletServer",
"authHeader": "walletAuthHeader"
}
{
"brand": {
"uuid": "uuid",
"name": "name",
"maxWin": "10000000",
"payout": "95",
"betTemplateUuid": "uuid",
"jackpotGroup": {
"uuid": "uuid",
"name": "name",
"currency": "EUR"
},
"apiKey": "apiKey",
"server": "server",
"header": "header"
"accessToken": "accessToken"
}
}
Possible Errors
| messageKey | message |
|---|---|
| error.brand.already.exists | Brand with name = [$name] already exists |
| error.brand.api.key.already.exists | Brand with api key = [$apiKey] already exists |
| error.bet.template.not.found | Bet template not found by uuid=$uuid |
| error.operator.uuid.not.found | Operator not found by uuid=[$uuid] |
| error.jackpot.group.uuid.not.found | Jackpot group not found by uuid=[$uuid] |
| error.user.no.access.operator | User[uuid = $userUuid] has no access to Operator[uuid = $operatorUuid] |
⌘I